# Home configurations for Hyprland. For system configs, see ./shared/modules/hyprland
{
  imports = [
    ./binds.nix
    ./hypridle
    ./hyprlock
    ./hyprpanel
    ./hyprpaper.nix
    ./hyprshot.nix
    ./settings.nix
  ];

  wayland.windowManager.hyprland = {
    enable = true;
    systemd.variables = [ "--all" ]; # Import environment into systemd
  };
}
